package com.raycos.raycosdatacenterapi.authorize;

import com.alibaba.fastjson2.JSONObject;
import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzAuthorize;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: xiaojiabin
 * @Date: 2024/9/2 13:25
 */

@RestController
@Slf4j
@RequestMapping("/erp/amz")
public class AmazonController {


    @Autowired
    private AmzAuthorizeService authorizeService;
//    @Resource
//    private  LwaClientInfoNacos lwaClientInfoNacos;

    @GetMapping("/authcode")
    public Result<String> getSpapiOauthCode(
            @RequestParam(value = "state") String state,
            @RequestParam(value = "selling_partner_id") String sellingPartnerId,
            @RequestParam("mws_auth_token") String mwsAuthToken,
            @RequestParam("spapi_oauth_code") String spapiOauthCode
    ) {
        Result<String> rt = new Result<>();
        log.info("来了老弟 ！！ ");

        try {
            TbAmzAuthorize taa = new TbAmzAuthorize();
            taa.setSpapiOauthCode(spapiOauthCode);
            taa.setMwsAuthToken(mwsAuthToken);
            taa.setSellingPartnerId(sellingPartnerId);

            log.info("亚马逊授权成功 重定向接口 接收参数 = " + JSONObject.toJSONString(taa));

            authorizeService.addAmzAuthorize(taa);

            rt.success();
        } catch (Exception e) {
            e.printStackTrace();
            log.error(" 查询异常  ", e);
            rt.fail();
        }
        return rt;
    }




    @GetMapping("/sel")
    public Result<List<TbAmzAuthorize>> selectAll() {

        List<TbAmzAuthorize> list = null;
        try {

            list = authorizeService.selectAll();

        } catch (Exception e) {
            e.printStackTrace();
            log.error(" 查询异常  ", e);
        }
        return new Result<List<TbAmzAuthorize>>().success(list);
    }
//    @GetMapping("/sellwa")
//    public  Result<LwaClientInfoNacos>  findLwa () {
//        Result<LwaClientInfoNacos> ss = new Result<>();
//
////        String jsonString = JSONObject.toJSONString(lwaClientInfoNacos);
////        log.info("lwaClientInfoNacos  " + jsonString);
////        ss.success(lwaClientInfoNacos);
//
//        return ss;
//
//    }


}
